module handsome_lfsr (clock, input_bit, output_vector);
	parameter output_width = 4;

	input clock;
	input input_bit;
	output [output_width-1:0] output_vector;

	reg [output_width-1:0] shiftreg_vector;

	always @ (posedge clock) begin
		shiftreg_vector[0] <= input_bit ^ shiftreg_vector[output_width-1];
		shiftreg_vector[output_width-1:1] <= shiftreg_vector[output_width-2:0];
	end

	assign output_vector = shiftreg_vector;

endmodule
